Skip to main content
GET
/
customAgents
/
api
/
v1
/
{agentId}
Get Custom Agent by ID
curl --request GET \
  --url https://be.datagol.ai/customAgents/api/v1/{agentId} \
  --header 'x-auth-token: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "prompt": "<string>",
  "instructions": "<string>",
  "examples": "<string>",
  "isPublished": true,
  "skills": [
    {
      "id": 10,
      "name": "chart-visualization",
      "description": "Read this skill when asked for a dashboard or a chart.",
      "s3Url": "InnCreTech/skills/10/3af838c6-01de-498d-8937-4f774b0983cd/SKILL.md",
      "enabled": true
    }
  ],
  "uiMetadata": {
    "capabilities": {
      "allowDownload": true,
      "models": {
        "enabled": true,
        "supportedModels": [
          "gpt-5.2",
          "claude-sonnet-4-6",
          "o4-mini"
        ],
        "defaultValue": "gpt-5.2"
      },
      "conversationFiles": {
        "enabled": true
      }
    },
    "style": {
      "logo": {
        "bgColor": "#1a1a2e",
        "textColor": "#ffffff"
      }
    },
    "input": {
      "placeholder": "What is EBITDA? And How Its Calculated"
    },
    "bestFor": [
      "Financial Analysis",
      "P&L Reports"
    ],
    "conversationStarters": [
      "What is EBITDA?",
      "Show me Q1 revenue"
    ],
    "logo": "<unknown>"
  },
  "configs": {
    "connectors": [
      {
        "id": "ec345675-06bf-4133-b8c3-f8fc1934b839",
        "data": {
          "title": "dg_order_item.csv",
          "workspaceId": "055b4db3-96e1-45e1-8ff5-3a911b779a53",
          "workspaceName": "Link_v2",
          "description": ""
        }
      }
    ],
    "webSearchEnabled": true,
    "mcpConfigs": [
      {
        "CUSTOM": {
          "id": 18,
          "name": "Workspace MCP",
          "description": "",
          "url": "https://testing-mcp.datagol.ai/workspace/link-v2?workspace_id=a336506d-540e-4a78-809b-daf501687bca&token=<token>",
          "transport": "streamable_http",
          "serverType": "CUSTOM",
          "companyId": 1
        },
        "WORKBOOK": {
          "serverType": "WORKBOOK",
          "name": "dg_Order.csv",
          "description": "",
          "url": "",
          "transport": "streamable_http",
          "data": {
            "id": "ca45078d-ed26-4752-a7a7-4aed24af033c",
            "workspaceId": "055b4db3-96e1-45e1-8ff5-3a911b779a53"
          }
        }
      }
    ],
    "skillIds": [
      10,
      11
    ]
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

x-auth-token
string
header
required

For server-to-server or automated access, use a DataGOL Service Account key. Pass it via the x-auth-token header instead of Authorization: x-auth-token: <service-account-key>

Path Parameters

agentId
string<uuid>
required

UUID of the Custom Agent.

Response

Full agent configuration.

id
string<uuid>
name
string
description
string
prompt
string
instructions
string
examples
string
isPublished
boolean
skills
object[]
uiMetadata
object
configs
object
createdAt
string<date-time>
updatedAt
string<date-time>